<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "site".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Site".
 *
 * Columns in table "site" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $name
 * @property integer $active
 * @property integer $priority
 * @property integer $is_doctor_alias
 * @property string $logo_path
 *
 */

abstract class BaseSite extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'site';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Site|Sites', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name, active, is_doctor_alias', 'required'),
            array('name, logo_path', 'length', 'max' => 255),
            array('id, name, active, priority, is_doctor_alias, logo_path', 'safe', 'on' => 'search'),
            array('name', 'safe'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'active' => Yii::t('app', 'Active'),
            'priority' => Yii::t('app', 'Priority'),
            'is_doctor_alias' => Yii::t('app', 'Is Doctor Alias'),
            'logo_path' => Yii::t('app', 'Logo Path'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('active', $this->active, true);
        $criteria->compare('priority', $this->priority, true);
        $criteria->compare('is_doctor_alias', $this->is_doctor_alias, true);
        $criteria->compare('logo_path', $this->logo_path, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
            'pagination' => array('pageSize' => 100)
        ));
    }

}
